
import java.util.HashMap;
import squint.*;
import javax.swing.*;
import java.awt.*;

/*
 * Class AddressBook - Keep track of a person's address
 */
public class AddressCard extends GUIManager
{
   // Change these values to adjust the size of a card
   private final int WINDOW_WIDTH  = 320, WINDOW_HEIGHT = 200;
                                 
   // Text fields to hold parts of the address
   private JTextField street = new JTextField( 20 );
   private JTextField city = new JTextField( 12 );
   private JTextField state = new JTextField( 2 );
   private JTextField zip = new JTextField( 5 );

   // Text field to hold the person's phone number
   private JTextField phone = new JTextField( 20 );
    
    // Create a window to hold someone's address information
    // titled with the person's name.
    public AddressCard(String name) {
      // Create window to hold all the components
      this.createWindow( WINDOW_WIDTH, WINDOW_HEIGHT, name );
        
      JPanel curPane = new JPanel();
            
      // Add components that hold address information
      curPane = new JPanel();
      curPane.add( new JLabel( "Street:" ) );
      curPane.add( street );
      contentPane.add( curPane );
      
      curPane = new JPanel();
      curPane.add( new JLabel( "City:" ) );
      curPane.add( city );
      curPane.add( new JLabel( "State:" ) );
      curPane.add( state );
      contentPane.add( curPane );
      
      curPane = new JPanel();
      curPane.add( new JLabel( "Zip:" ) );
      curPane.add( zip );
      contentPane.add( curPane );
      
      curPane = new JPanel();
      curPane.add( new JLabel( "Phone:" ) );
      curPane.add( phone );
      contentPane.add( curPane );
    }
}

